HAB_CSF_PARSER(1)

NAME
hab_csf_parser - parse signed images or CSF binary files for NXP secure boot

SYNOPSIS
hab_csf_parser [-d] (-s signed_image | -c csf_binary)

NOTE
This manpage is a short description of NXP hab_csf_parser. For a detailed discussion refer to the Code Signing Tool User Guide UG10106, section 5.9 for usage, and to the High Assurance Boot Version 4 API Reference Manual RM00298 section 4 for structures contained in image. The user guide and the reference manual can be obtained from www.nxp.com and is excluded from Debian for copyright reasons.

DESCRIPTION
hab_csf_parser is a utility to parse signed images or binary Command Sequence Files (CSF) used in the secure boot process on NXP i.MX processors. It extracts and displays information from either a signed boot image or a CSF binary file.

Only one input type (signed image or CSF binary) can be processed at a time.

OPTIONS

-d, --enable-debug
    Enable debug information output.

-s, --signed-image file
    A signed image file as input for parsing.

-c, --csf-binary file
    A CSF binary file as input for parsing.

EXAMPLES

Parse a signed image with debug enabled:
      hab_csf_parser -d -s signed_image.bin

Parse a CSF binary file:
      hab_csf_parser -c csf_binary.bin

SEE ALSO
cst(1), ahab_image_verifier, hab4_image_verifier